Check whether a single static IP assignment would be valid
post
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired
Name of the user.
Body
device_idinteger · int64Required
ipstringRequired
locationinteger · int64Required
Responses
200
Validation result.
application/json
objectOptional
400
Invalid IP assignment.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to validate IP assignment.
application/json
post/api/v1/device/user/{username}/ip/validate
POST /api/v1/device/user/{username}/ip/validate HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"device_id": 1,
"ip": "text",
"location": 1
}{
"message": "IP assignment is valid"
}PreviousAssign static IP addresses to user devices
NextList the IP addresses of a user device, grouped by location
Last updated
Was this helpful?